Skip to content

Get Organization Activity Logs

Request

Returns the organization's activity log events accessible to the current user

Security
bearer-key
Path
orgUuidstringrequired

org UUID (from the Mend App: Administration General > Organization UUID).

Query
cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

limitstring, <= 10000

Specifies the maximum number of items to be returned in the response.

Default:"50"
startDatestring

Start of the time window. Format: yyyy-MM-dd or yyyy-MM-dd'T'HH:mm:ss, optionally with a zone offset (Z or +HH:mm); without an offset the value is interpreted as UTC. With days, the window is [startDate, startDate + days]; without days it extends to now. Takes precedence over a timestamp filter inside search.

daysinteger, (int32)

Length of the time window in days (positive integer). With startDate, the window is [startDate, startDate + days]; without startDate it is the last days. Takes precedence over a timestamp filter inside search.

engineTypestring

Comma-separated engine types to filter by, e.g. SCA,SAST,IMG,IAC,AI,PLATFORM. Case-insensitive. Takes precedence over an engineType filter inside search.

GET
/api/v3.0/orgs/{orgUuid}/activity-logs
curl -i -X GET \
  'https://baseUrl/api/v3.0/orgs/{orgUuid}/activity-logs?cursor=string&limit=50&startDate=string&days=0&engineType=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject(Provides insights into endpoint-supported pagination information.)
  • totalItems: The total count of data points returned in an API response.
Example:
{ "totalItems": "422", "next": "http://someUrl?cursor=3", "cursor": 3 }
supportTokenstring(Support Token)
Example:"1171c60d"
responseArray of objects(ActivityLogDTOV3)
Response
{ "additionalData": { "totalItems": "422", "next": "http://someUrl?cursor=3", "cursor": 3 }, "supportToken": "1171c60d", "response": [ {} ] }